PRO PS_START,psfile,xs,ys,landscape=ori,encapsul=eps,color=col,yoff=yoff
;+
;Exa: ps_start,'tmp.ps',14,14 [,/col,/enc,/land]
;     plot ...
;     ps_end
;Open a ps file. To be followed by plotting commands.
;PR - 1994
;-
common share1,psfile2
psfile2=psfile
if n_elements(psfile) eq 0 then read,'PostScript file: ',psfile
if n_params() lt 3 then read,'xs,ys (cm)= ',xs,ys
if xs gt 20 then xoff=.5 else xoff=2
if not keyword_set(yoff) then yoff=3
set_plot,'ps'
if keyword_set(ori) then $
 device,file=psfile,bits_per_pixel=8, /landsc,xoff=1,yoff=26,xs=xs,ys=ys $
else $
 device,file=psfile,xs=xs,ys=ys,xoff=xoff,yoff=yoff,/portrait,bits_per_pixel=8,$
 encaps=keyword_set(eps),color=keyword_set(col)
print,'Type the plot commands then run ps_end to go back to X-window...'
print,psfile,' will be created.'
return
end
