PRO set_colors, ct, n_colors, c_indices, clip=clip

; ct = color table number
; n_colors = number of colors to extract
; c_indices = output vector of color indicies

if keyword_set(clip) then clip_val = clip else clip = [80,240]
ctload, ct, NCOLORS=n_colors, CLIP=clip_val,/reverse, bottom=1
tvlct, R, G, B, /get
;print, R

c_names = strarr(n_colors)

for i=0,n_colors-1 do begin
c_names[i] = 'C'+ strcompress(string(i),/remove_all)
endfor

openw,1,'cols.txt'
for i=1,n_colors do begin
printf,1, R[i],G[i],B[i],'  ', c_names[i-1]
endfor
close,1

c_indices = fsc_color(c_names,filename='cols.txt')

;print, n_elements(c_indices)

END
